<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package iMate
 */

if(imate_styles()['header_color_mode_404'] == 'light') {
	$color = 'black';
	$area_css = 'current-dark';
} else if(imate_styles()['header_color_mode_404'] == 'dark') {
	$color = 'white';
	$area_css = 'current-white';
}

get_header(); ?>

	<div class="banner-area on-top banner-404 social-buttons-align-right <?php echo esc_attr($area_css) ?>">
		<?php if(!empty(imate_styles()['social_buttons_content'])) { ?>
            <div class="banner-social-buttons"><div><i class="base-icons-share"></i><?php echo wp_kses_post(imate_styles()['social_buttons_content']) ?></div></div>
        <?php } ?>
	    <div class="banner">
	        <div class="item <?php echo esc_attr($color) ?> middle tal" style="<?php echo esc_attr(imate_styles()['404_bg']) ?>">
	            <div class="container">
	                <div class="cell">
	                    <?php if(!empty(imate_styles()['404_sub_heading'])) { ?>
							<div class="sub-h"><?php echo wp_kses_post(imate_styles()['404_sub_heading']) ?></div>
						<?php } if(!empty(imate_styles()['404_heading'])) { ?>
							<h1 class="h"><?php echo wp_kses_post(imate_styles()['404_heading']) ?></h1>
						<?php } ?>
						<div class="link-area"><a href="#" class="button-style1" target="_self"><span><?php echo esc_html__('get back home', 'imate') ?></span></a></div>
	                </div>
	            </div>
	        </div>
	    </div>
	</div>

<?php
get_footer('empty');
