<?php
/**
 * The template for displaying archive pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package iMate
 */

$thumb = get_post_thumbnail_id(get_the_ID());
$image = '';

if(!empty($thumb) && isset(imate_styles()['blog_top_background'])) {
	$image = imate_styles()['blog_top_background'];
}

get_header(); ?>

	<main class="main-row">
		<?php if(!empty($image)) { ?>
			<div class="page-feature-image <?php echo esc_attr(imate_styles()['header_color_mode']) ?>" style="background-image: url(<?php echo esc_url($image) ?>);">
				<div class="container">
					<?php the_archive_title( '<h1 class="heading">', '</h1>' ); ?>
				</div>
			</div>
		<?php } ?>

		<div class="container">

		<?php
		if ( have_posts() ) : ?>
			
			<?php if(empty($image)) { ?>
				<div class="page-title">
					<?php the_archive_title( '<h2>', '</h2>' ); ?>
				</div>
			<?php } ?>
			
			<?php
			/* Start the Loop */
			if(get_post_type() == 'pt-portfolio') {
				echo '<div class="portfolio-items row portfolio-type-grid portfolio_hover_type_1">';
			} else {
				if(class_exists('WPBakeryShortCode')) {
					echo '<div class="blog-items blog-type-masonry row">';
				} else {
					echo '<div class="blog-items blog-type-masonry row">';
				}
			}

			while ( have_posts() ) : the_post();

				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', get_post_type() );

			endwhile;

			echo '</div>';
			
			if (function_exists('imate_wp_corenavi')) {
				echo imate_wp_corenavi();
			} else {
				wp_link_pages(); 
			};

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif; ?>

		</div>
	</main>

<?php
get_footer();
