<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package imate
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="profile" href="http://gmpg.org/xfn/11">

		<?php wp_head(); ?>

	</head>
	
	<body <?php body_class(); ?>>
		<div id="all" class="site">
			<?php if(imate_styles()['preloader_show'] == '1' && imate_styles()['preloader_type'] == 'custom_image' && isset(imate_styles()['preloader_img']['background-image']) && !empty(imate_styles()['preloader_img']['background-image'])) { ?>
				<div class="preloader">
					<div class="preloader_img"><img src="<?php echo esc_url(imate_styles()['preloader_img']['background-image']) ?>" alt="<?php echo get_bloginfo( 'name' ) ?>"></div>
				</div>
			<?php } else if(imate_styles()['preloader_show'] == '1' && imate_styles()['preloader_type'] == 'cube') { ?>
				<div class="preloader-area">
					<div class="preloader-folding-cube">
						<div class="preloader-cube1 preloader-cube"></div>
						<div class="preloader-cube2 preloader-cube"></div>
						<div class="preloader-cube4 preloader-cube"></div>
						<div class="preloader-cube3 preloader-cube"></div>
					</div>
				</div>
			<?php } if(imate_styles()['header_style'] == 'logo-left' || imate_styles()['header_style'] == 'logo-center') { ?>
				<header class="site-header <?php echo esc_attr(imate_styles()['css_classes']) ?> main-row">
					<div class="<?php echo esc_attr(imate_styles()['header_container']) ?>">
						<div class="logo"><a href="<?php echo esc_url(home_url('/')) ?>"><?php echo wp_kses_post(imate_styles()['logo_content']) ?></a></div>
						<div class="fr">
							<?php if(has_nav_menu('navigation') && imate_styles()['navigation_type'] != 'disabled') { ?>
								<nav class="navigation <?php echo esc_attr(imate_styles()['navigation_type']) ?>"><?php wp_nav_menu( array( 'theme_location' => 'navigation', 'container' => 'ul', 'menu_class' => 'menu', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?></nav>
								<div class="butter-button <?php echo esc_attr(imate_styles()['navigation_type']) ?>"><div></div></div>
							<?php } if(imate_styles()['cart'] == 'yes' && class_exists( 'WooCommerce' )) { ?>
								<div class="header-minicart woocommerce header-minicart-imate">
									<?php global $woocommerce;
									$count = $woocommerce->cart->cart_contents_count;
									if($count == 0) { ?>
									<div class="hm-cunt"><i class="base-icons-shopping-cart"></i><span><?php echo esc_html($count) ?></span></div>
									<?php } else { ?>
									<a class="hm-cunt" href="<?php echo esc_url(wc_get_cart_url()) ?>"><i class="base-icons-shopping-cart"></i><span><?php echo esc_html($count) ?></span></a>
									<?php } ?>
									<div class="minicart-wrap">
										<?php woocommerce_mini_cart(); ?>
									</div>
								</div>
							<?php } if(imate_styles()['search'] == 'yes') { ?>
								<div class="search-button"><i class="base-icons-magnifying-glass"></i></div>
							<?php } ?>
						</div>
					</div>
				</header>
			<?php } else if(imate_styles()['header_style'] == 'left-side') { ?>
				<header class="site-header <?php echo esc_attr(imate_styles()['css_classes']) ?> main-row">
					<div class="header-bottom">
						<div class="<?php echo esc_attr(imate_styles()['header_container']) ?>">
							<div class="logo"><a href="<?php echo esc_url(home_url('/')) ?>"><?php echo wp_kses_post(imate_styles()['logo_content']) ?></a></div>
							<div class="fr">
								<?php if(has_nav_menu('navigation') && imate_styles()['navigation_type'] != 'disabled') { ?>
									<nav class="navigation <?php echo esc_attr(imate_styles()['navigation_type']) ?>"><?php wp_nav_menu( array( 'theme_location' => 'navigation', 'container' => 'ul', 'menu_class' => 'menu', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?></nav>
									<div class="butter-button <?php echo esc_attr(imate_styles()['navigation_type']) ?>"><div></div></div>
								<?php } if(imate_styles()['cart'] == 'yes' && class_exists( 'WooCommerce' )) { ?>
									<div class="header-minicart woocommerce header-minicart-imate">
										<?php global $woocommerce;
										$count = $woocommerce->cart->cart_contents_count;
										if($count == 0) { ?>
										<div class="hm-cunt"><i class="base-icons-shopping-cart"></i><span><?php echo esc_html($count) ?></span></div>
										<?php } else { ?>
										<a class="hm-cunt" href="<?php echo esc_url(wc_get_cart_url()) ?>"><i class="base-icons-shopping-cart"></i><span><?php echo esc_html($count) ?></span></a>
										<?php } ?>
										<div class="minicart-wrap">
											<?php woocommerce_mini_cart(); ?>
										</div>
									</div>
								<?php } if(imate_styles()['search'] == 'yes') { ?>
									<div class="search-button"><i class="base-icons-magnifying-glass"></i></div>
								<?php } ?>
							</div>
						</div>
					</div>
				</header>
				<div class="side-header main-row dark">
					<div class="logo"><a href="<?php echo esc_url(home_url('/')) ?>"><?php echo wp_kses_post(imate_styles()['logo_content']) ?></a></div>
					<div class="side-nav-button">
						<div></div>
					</div>
					<?php if(!empty(imate_styles()['social_buttons_content'])) { ?>
						<div class="bottom">
							<?php if(imate_styles()['footer_social_buttons'] == 'show' && !empty(imate_styles()['social_buttons_content'])) { ?>
								<div class="social-buttons">
									<?php echo wp_kses_post(imate_styles()['social_buttons_content']); ?>
								</div>
							<?php } ?>
						</div>
					<?php } ?>
					<span class="dec-line"></span>
				</div>
				<div class="side-navigation-block">
					<div class="close basic-ui-elements-cancel"></div>
					<div class="wrap">
						<div class="cell">
							<?php if(has_nav_menu('side-navigation')) { ?>
								<nav class="side-navigation"><?php wp_nav_menu( array( 'theme_location' => 'side-navigation', 'container' => 'ul', 'menu_class' => 'menu', 'link_before' => '<span>', 'link_after' => '</span>', ) ); ?></nav>
							<?php } ?>
						</div>
					</div>
					<?php if(!empty(imate_styles()['copyright_text']) || !empty(imate_styles()['social_buttons_content'])) { ?>
						<div class="bottom">
							<?php if(imate_styles()['footer_social_buttons'] == 'show' && !empty(imate_styles()['social_buttons_content'])) { ?>
								<div class="social-buttons">
									<?php echo wp_kses_post(imate_styles()['social_buttons_content']); ?>
								</div>
							<?php } if(!empty(imate_styles()['sidebar_copyright_text'])) { ?>
								<div class="copyright">
									<?php echo nl2br(wp_kses_post(imate_styles()['sidebar_copyright_text'])) ?>
								</div>
							<?php } ?>
						</div>
					<?php } ?>
				</div>
			<?php } if(imate_styles()['header_space'] == 'yes' && !is_404() && !is_page_template('page-coming-soon.php')) { ?>
				<div class="header-space"></div>
			<?php } else { ?>
				<div class="header-space hide"></div>
			<?php } if(has_nav_menu('navigation') && imate_styles()['navigation_type'] == 'full_screen') { ?>
				<nav class="full-screen-nav main-row">
					<div class="close base-icons-cancel"></div>
					<div class="fsn-container">
						<?php wp_nav_menu( array( 'theme_location' => 'navigation', 'container' => 'ul', 'menu_class' => 'cell' ) ); ?>
					</div>
				</nav>
			<?php } if(imate_styles()['search'] == 'yes') { ?>
				<div class="search-popup main-row">
					<div class="close base-icons-cancel"></div>
					<div class="centered-container"><?php get_search_form(); ?></div>
				</div>
			<?php } if(is_active_sidebar('page-sidebar')) { ?>
				<div class="side-bar-area main-row">
					<div class="close base-icons-cancel"></div>
					<div class="logo"><a href="<?php echo esc_url(home_url('/')) ?>"><?php echo wp_kses_post(imate_styles()['logo_content']) ?></a></div>
					<div class="wrap">
						<?php dynamic_sidebar( 'page-sidebar' ); ?>
					</div>
					<?php if(!empty(imate_styles()['copyright_text'])) { ?>
						<div class="copyright"><?php echo imate_styles()['copyright_text'] ?></div>
					<?php } ?>
				</div>
			<?php } 