<?php 
if(function_exists("register_field_group"))
{
	register_field_group(array(
		'id' => 'acf_coming-soom-settings',
		'title' => esc_html__('Coming soom settings', 'imate'),
		'fields' => array(
			array(
				'key' => 'field_59bfb14f288cf',
				'label' => esc_html__('Date', 'imate'),
				'name' => 'date',
				'type' => 'date_picker',
				'date_format' => 'yy/mm/dd',
				'display_format' => 'dd/mm/yy',
				'first_day' => 1,
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'page-coming-soon.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array(
			'position' => 'side',
			'layout' => 'default',
			'hide_on_screen' => array(
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array(
		'id' => 'acf_page-settings',
		'title' => esc_html__('Page settings', 'imate'),
		'fields' => array(
			array(
				'key' => 'field_58a43bba66153',
				'label' => esc_html__('Header color mode', 'imate'),
				'name' => 'header_color_mode',
				'type' => 'select',
				'choices' => array(
					'default' => esc_html__('Default', 'imate'),
					'light' => esc_html__('Light', 'imate'),
					'dark' => esc_html__('Dark', 'imate'),
				),
				'default_value' => '',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array(
				'key' => 'field_58a43a8166152',
				'label' => esc_html__('Header style', 'imate'),
				'name' => 'header_style',
				'type' => 'select',
				'choices' => array(
					'default' => esc_html__('Default', 'imate'),
					'logo-left' => esc_html__('Logo left', 'imate'),
					'logo-center' => esc_html__('Logo center', 'imate'),
				),
				'default_value' => 'default',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array(
				'key' => 'field_58a592079667e',
				'label' => esc_html__('Navigation type', 'imate'),
				'name' => 'navigation_type',
				'type' => 'select',
				'conditional_logic' => array(
					'status' => 1,
					'rules' => array(
						array(
							'field' => 'field_58a43a8166152',
							'operator' => '!=',
							'value' => 'left-side',
						),
					),
					'allorany' => 'all',
				),
				'choices' => array(
					'default' => esc_html__('Default', 'imate'),
					'disabled' => esc_html__('Disabled', 'imate'),
					'hidden_menu' => esc_html__('Hidden menu', 'imate'),
					'visible_menu' => esc_html__('Visible menu', 'imate'),
				),
				'default_value' => '',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array(
				'key' => 'field_58a58ef19684e',
				'label' => esc_html__('Header container', 'imate'),
				'name' => 'header_container',
				'type' => 'select',
				'choices' => array(
					'default' => esc_html__('Default', 'imate'),
					'container' => esc_html__('Center container', 'imate'),
					'container-fluid' => esc_html__('Full witdh', 'imate'),
				),
				'default_value' => 'default',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array(
				'key' => 'field_58a43c2266154',
				'label' => esc_html__('Header space', 'imate'),
				'name' => 'header_space',
				'type' => 'radio',
				'choices' => array(
					'yes' => esc_html__('Yes', 'imate'),
					'no' => esc_html__('No', 'imate'),
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'yes',
				'layout' => 'horizontal',
			),
			array(
				'key' => 'field_368765423245',
				'label' => esc_html__('Search', 'imate'),
				'name' => 'search',
				'conditional_logic' => array(
					'status' => 1,
					'rules' => array(
						array(
							'field' => 'field_58a43a8166152',
							'operator' => '==',
							'value' => 'default',
						),
						array(
							'field' => 'field_58a43a8166152',
							'operator' => '==',
							'value' => 'logo-left',
						),
						array(
							'field' => 'field_58a43a8166152',
							'operator' => '==',
							'value' => 'logo-center',
						),
					),
					'allorany' => 'all',
				),
				'type' => 'select',
				'choices' => array(
					'default' => esc_html__('Default', 'imate'),
					'yes' => esc_html__('Show', 'imate'),
					'no' => esc_html__('Hide', 'imate'),
				),
				'default_value' => 'default',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array(
				'key' => 'field_4234463423423',
				'label' => esc_html__('Cart', 'imate'),
				'name' => 'cart',
				'conditional_logic' => array(
					'status' => 1,
					'rules' => array(
						array(
							'field' => 'field_58a43a8166152',
							'operator' => '==',
							'value' => 'default',
						),
						array(
							'field' => 'field_58a43a8166152',
							'operator' => '==',
							'value' => 'logo-left',
						),
						array(
							'field' => 'field_58a43a8166152',
							'operator' => '==',
							'value' => 'logo-center',
						),
					),
					'allorany' => 'all',
				),
				'type' => 'select',
				'choices' => array(
					'default' => esc_html__('Default', 'imate'),
					'yes' => esc_html__('Show', 'imate'),
					'no' => esc_html__('Hide', 'imate'),
				),
				'default_value' => 'default',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array(
				'key' => 'field_58a45add62c81',
				'label' => esc_html__('Footer', 'imate'),
				'name' => 'footer',
				'type' => 'select',
				'choices' => array(
					'default' => esc_html__('Default', 'imate'),
					'minified' => esc_html__('Minified', 'imate'),
					'show' => esc_html__('Show', 'imate'),
					'hide' => esc_html__('Hide', 'imate'),
				),
				'default_value' => '',
				'allow_null' => 0,
				'multiple' => 0,
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-landing.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array(
			'position' => 'side',
			'layout' => 'default',
			'hide_on_screen' => array(
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array(
		'id' => 'acf_project-settings',
		'title' => esc_html__('Project settings', 'imate'),
		'fields' => array( 
			array(
				'key' => 'field_585653976745',
				'label' => esc_html__('Video url', 'imate'),
				'name' => 'project_video_url',
				'type' => 'text',
			),
			array(
				'key' => 'field_59c3a84023b44',
				'label' => esc_html__('Project image', 'imate'),
				'name' => 'project_image',
				'type' => 'select',
				'choices' => array(
					'default' => esc_html__('Default', 'imate'),
					'full' => esc_html__('Full', 'imate'),
					'adaptive' => esc_html__('Adaptive', 'imate'),
				),
				'default_value' => '',
				'allow_null' => 0,
				'multiple' => 0,
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'fw-portfolio',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array(
			'position' => 'side',
			'layout' => 'default',
			'hide_on_screen' => array(
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array(
		'id' => 'acf_post-settings',
		'title' => esc_html__('Post settings', 'imate'),
		'fields' => array(
			array(
				'key' => 'field_5a267b326916ab',
				'label' => esc_html__('Short description', 'imate'),
				'name' => 'short_desc',
				'type' => 'textarea',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array(
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array(
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array(
		'id' => 'acf_post-settings',
		'title' => esc_html__('Post settings', 'imate'),
		'fields' => array(
			array(
				'key' => 'field_4353422442',
				'label' => esc_html__('Post type', 'imate'),
				'name' => 'post_type',
				'type' => 'select',
				'choices' => array(
					'default' => esc_html__('Default', 'imate'),
					'quote' => esc_html__('Quote', 'imate'),
				),
				'default_value' => '',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array(
				'key' => 'field_521904322',
				'label' => esc_html__('Quote', 'imate'),
				'name' => 'post_quote',
				'type' => 'textarea',
				'conditional_logic' => array(
					'status' => 1,
					'rules' => array(
						array(
							'field' => 'field_4353422442',
							'operator' => '==',
							'value' => 'quote',
						),
					),
					'allorany' => 'any',
				),
			),
			array(
				'key' => 'field_8732345344',
				'label' => esc_html__('Show Featured Image on grid', 'imate'),
				'name' => 'post_grid_featured_image',
				'type' => 'select',
				'choices' => array(
					'default' => esc_html__('Default', 'imate'),
					'no' => esc_html__('No', 'imate'),
				),
			),
			array(
				'key' => 'field_8435343423',
				'label' => esc_html__('Show Short Description on grid', 'imate'),
				'name' => 'post_grid_short_desc',
				'type' => 'select',
				'choices' => array(
					'default' => esc_html__('Default', 'imate'),
					'no' => esc_html__('No', 'imate'),
				),
			),
			array(
				'key' => 'field_8976230934',
				'label' => esc_html__('Show Featured Image on single page', 'imate'),
				'name' => 'post_featured_image',
				'type' => 'select',
				'choices' => array(
					'default' => esc_html__('Default', 'imate'),
					'yes' => esc_html__('Yes', 'imate'),
					'no' => esc_html__('No', 'imate'),
				),
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array(
			'position' => 'side',
			'layout' => 'default',
			'hide_on_screen' => array(
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array(
		'id' => 'acf_product-settings',
		'title' => esc_html__('Product settings', 'imate'),
		'fields' => array(
			array(
				'key' => 'field_234232645we',
				'label' => esc_html__('Event date', 'imate'),
				'name' => 'event_date',
				'type' => 'date_picker',
			),
			array(
				'key' => 'field_23142522221',
				'label' => esc_html__('Event location', 'imate'),
				'name' => 'event_location',
				'type' => 'text',
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'product',
				),
			),
		),
		'options' => array(
			'position' => 'side',
			'layout' => 'default',
			'hide_on_screen' => array(
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array(
		'id' => 'acf_page-w-sidebar-settings',
		'title' => esc_html__('Page settigs', 'imate'),
		'fields' => array(
			array(
				'key' => 'field_58a43bba66153',
				'label' => esc_html__('Header color mode', 'imate'),
				'name' => 'header_color_mode',
				'type' => 'select',
				'choices' => array(
					'default' => esc_html__('Default', 'imate'),
					'light' => esc_html__('Light', 'imate'),
					'dark' => esc_html__('Dark', 'imate'),
				),
				'default_value' => '',
				'allow_null' => 0,
				'multiple' => 0,
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-with-sidebar.php',
				),
			),
			array(
				array(
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'default',
				),
			),
		),
		'options' => array(
			'position' => 'side',
			'layout' => 'default',
		),
		'menu_order' => 0,
	));
}