<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package iMate
 */

/*
Template Name: Coming soon page
*/

get_header(); 
$id = uniqid('countdown-');

if(get_field('date')) {
	$year = mysql2date('Y', get_field('date'));
	$month = mysql2date('m', get_field('date'))-1;
	$day = mysql2date('j', get_field('date'));
	$hour = mysql2date('H', get_field('date'));
	$minutes = mysql2date('i', get_field('date'));

	wp_enqueue_script( 'countdown', get_template_directory_uri() . '/js/jquery.countdown.js' );
	wp_enqueue_script( 'imate-script', get_template_directory_uri() . '/js/script.js' );

	wp_add_inline_script('imate-script', "jQuery(document).ready(function(jQuery) {
	  	/*------------------------------------------------------------------
		[ Coming soon countdown ]
		*/

		var ts = new Date(".esc_js($year).", ".esc_js($month).", ".esc_js($day).", ".esc_js($hour).", ".esc_js($minutes).");

		if(jQuery('.".esc_js($id)."').length > 0){
			jQuery('.".esc_js($id)."').countdown({
				timestamp	: ts,
				callback	: function(days, hours, minutes, seconds){
				}
			});
		}
	});");
}

if(imate_styles()['header_color_mode_coming_soon'] == 'light') {
	$color = 'black';
	$area_css = 'current-dark';
} else if(imate_styles()['header_color_mode_coming_soon'] == 'dark') {
	$color = 'white';
	$area_css = 'current-white';
}

?>
	<div class="banner-area on-top banner-coming-soon social-buttons-align-right <?php echo esc_attr($area_css) ?>">
		<?php if(!empty(imate_styles()['social_buttons_content'])) { ?>
            <div class="banner-social-buttons"><div><i class="base-icons-share"></i><?php echo wp_kses_post(imate_styles()['social_buttons_content']) ?></div></div>
        <?php } ?>
	    <div class="banner">
	        <div class="item <?php echo esc_attr($color) ?> middle tal" style="<?php echo esc_attr(imate_styles()['coming_soon_bg']) ?>">
	            <div class="overlay"></div>
	            <div class="container">
	                <div class="cell">
	                    <?php if(!empty(imate_styles()['coming_soon_sub_heading'])) { ?>
							<div class="sub-h"><?php echo wp_kses_post(imate_styles()['coming_soon_sub_heading']) ?></div>
						<?php } if(!empty(imate_styles()['coming_soon_heading'])) { ?>
							<h1 class="h"><?php echo wp_kses_post(imate_styles()['coming_soon_heading']) ?></h1>
						<?php } if(!empty(imate_styles()['coming_soon_text'])) { 
							$text = str_replace(array('{', '}'), array('<span>', '</span>'), imate_styles()['coming_soon_text']);
						?>
							<p><?php echo wp_kses_post($text) ?></p>
						<?php } if(imate_styles()['coming_soon_subscribe_code']) { ?>
							<div class="form"><?php echo do_shortcode(imate_styles()['coming_soon_subscribe_code']) ?></div>
						<?php } if(get_field('date')) { ?>
							<div id="countdown" class="<?php echo esc_attr($id) ?>"></div>
						<?php } ?>
	                </div>
	            </div>
	        </div>
	    </div>
	</div>
<?php get_footer('empty');
