<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package iMate
 */

$thumb = get_post_thumbnail_id(get_the_ID());
$image = '';

if(!empty($thumb) && isset(wp_get_attachment_image_src($thumb, 'full')[0])) {
	$image = wp_get_attachment_image_src($thumb, 'full')[0];
}

if(imate_is_woocommerce_page() && !empty(imate_styles()['shop_top_background'])) {
	$image = imate_styles()['shop_top_background'];
}

get_header(); ?>

	<main class="main-row">
		<?php if(!empty($image)) { ?>
			<div class="page-feature-image <?php echo esc_attr(imate_styles()['header_color_mode']) ?>" style="background-image: url(<?php echo esc_url($image) ?>);">
				<div class="container">
					<?php the_title( '<h1 class="heading">', '</h1>' ); ?>
				</div>
			</div>
		<?php } ?>
		
		<div class="container">

			<?php
				while ( have_posts() ) : the_post();

					get_template_part( 'template-parts/content', 'page' );

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;

				endwhile; // End of the loop.

			if (function_exists('imate_wp_corenavi')) {
				echo imate_wp_corenavi();
			} else {
				wp_link_pages(); 
			};
			?>

		</div>
	</main>

<?php
get_footer();
