<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package iMate
 */

get_header(); ?>

	<main class="main-row">
		<?php if(!empty(imate_styles()['project_top_background'])) { ?>
			<div class="page-feature-image <?php echo esc_attr(imate_styles()['header_color_mode']) ?>" style="background-image: url(<?php echo esc_url(imate_styles()['project_top_background']) ?>);">
				<div class="container">
					<div class="h1 heading"><?php echo wp_kses_post(imate_styles()['project_top_heading']) ?></div>
				</div>
			</div>
		<?php } ?>
		<?php while ( have_posts() ) : the_post(); 
			$id = get_the_ID();

			$item = get_post($id);

			$thumb = get_post_meta( $id, '_thumbnail_id', true );

			$category = "";
			$category_name = "";
			$category_links_html = "";
			if(is_array(wp_get_post_terms( $id, 'fw-portfolio-category')) && count(wp_get_post_terms( $id, 'fw-portfolio-category')) > 0 && wp_get_post_terms( $id, 'fw-portfolio-category')) {
				foreach (wp_get_post_terms( $id, 'fw-portfolio-category') as $item) {
					$category .= $item->slug.' ';
					$category_name .= $item->name.', ';
					$category_links_html .= '<a href="'.esc_url(get_term_link($item->term_id)).'">'.esc_html($item->name).'</a> ';
				}
				$category_name = trim($category_name, ', ');
			}

			$desc = strip_tags(strip_shortcodes($item->post_content));
			if(iconv_strlen ($desc, 'UTF-8') > 200) {
				$desc = substr($desc, 0, 200);
			}

			$prev = get_permalink(get_adjacent_post(false,'',false));
			$next = get_permalink(get_adjacent_post(false,'',true));

			$prev_name = get_the_title(get_adjacent_post(false,'',false));
			$next_name = get_the_title(get_adjacent_post(false,'',true));

			$prev_img = $next_img = '';
			if(get_adjacent_post(false,'',false) && get_post_meta( get_adjacent_post(false,'',false)->ID, '_thumbnail_id', true )) {
				$prev_img = wp_get_attachment_image_src(get_post_meta( get_adjacent_post(false,'',false)->ID, '_thumbnail_id', true ), '')[0];
			}
			if(get_adjacent_post(false,'',true) && get_post_meta( get_adjacent_post(false,'',true)->ID, '_thumbnail_id', true )) {
				$next_img = wp_get_attachment_image_src(get_post_meta( get_adjacent_post(false,'',true)->ID, '_thumbnail_id', true ), '')[0];
			}
			
			$thumbnails = fw_ext_portfolio_get_gallery_images( $id );

			if(is_array($thumbnails)) {
				$count = count($thumbnails);
			} else {
				$count = '0';
			}

			if($count > 5) {
				$count = 5;
			}

			$project_style = imate_styles()['project_style'];

			if(empty($thumbnails) && ($project_style == 'horizontal' || $project_style == 'right_side')) {
				$project_style = 'grid';
			}

			$container = 'container';

			if(empty($thumbnails) && $project_style != 'horizontal') {
				$container = 'container';
			} else if($project_style == 'horizontal') {
				$container = 'container-fluid';
			}

			if(imate_styles()['project_image'] == 'adaptive') {
				$container .= ' adaptive-img';
			}

			switch (imate_styles()['project_count_cols']) {
	            case 'col1':
	                $item_col = "col-xs-12";
	                break;
	            case 'col2':
	                $item_col = "col-xs-12 col-sm-6 col-md-6";
	                break;
	            case 'col3':
	                $item_col = "col-xs-12 col-sm-4 col-md-4";
	                break;
	            case 'col4':
	                $item_col = "col-xs-12 col-sm-4 col-md-3";
	                break;
	            
	            default:
	                $item_col = "";
	                break;
	        }

	        $i1=1;

	        $key2 = '';
			?>

			<div class="<?php echo esc_attr($container) ?>">
				<div id="post-<?php the_ID(); ?>" <?php post_class('post-container type-fw-portfolio-'.$project_style) ?>>
					<div class="site-content project-slider-page">
						<?php if(is_array($thumbnails) && !empty($thumbnails) && count($thumbnails) > 0) { ?>
							<?php
								wp_enqueue_style( 'owl-carousel-css', get_template_directory_uri() . '/css/owl.carousel.css');
						        wp_enqueue_script( 'owl-carousel-js', get_template_directory_uri() . '/js/owl.carousel.min.js', array('jquery') );
						    ?>
						    <div class="project-slider-area">
						    	<div class="project-slider">
						    		<?php foreach($thumbnails as $thumb) { ?>
						    			<div class="item"><div class="cell"><?php echo wp_kses_post(wp_get_attachment_image($thumb['attachment_id'], 'full')); ?></div></div>
						    		<?php } ?>
						    	</div>
						    </div>
						<?php } else if(!empty($thumb) && empty($thumbnails) && imate_styles()['project_image'] != 'disable') { ?>
							<div class="post-img"><?php echo wp_get_attachment_image($thumb, 'full'); ?></div>
						<?php } ?>
						<div class="page-title">
							<h1 class="h4 heading"><?php echo esc_html(single_post_title()); ?></h1>
						</div>
						<?php if(imate_styles()['project_date'] == 'show' || (!empty($category_name) && imate_styles()['project_category'] == 'show')) { ?>
							<div class="blog-detail">
								<?php if(imate_styles()['project_date'] == 'show') { ?>
									<div class="bd-item"><i class="material-design-icon-history-clock-button"></i><span><?php the_date() ?></span></div>
								<?php } if(!empty($category_name) && imate_styles()['project_category'] == 'show') { ?>
									<div class="bd-item"><i class="material-design-icon-label-right-arrow-outline"></i><span><?php echo strip_tags($category_name) ?></span></div>
								<?php } ?>
							</div>
						<?php } ?>
						<div class="post-content single">
							<?php the_content(''); ?>
							<?php if(function_exists('wp_link_pages')) { ?>
								<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>','link_before' => '<span>','link_after' => '</span>',)); ?>
							<?php } ?>
						</div>
						<div class="post-bottom clearfix">
							<?php if(function_exists('zilla_likes') && imate_styles()['project_like'] == 'show') {
								echo zilla_likes($id);
							} ?>
							<div class="fr">
								<?php if(function_exists('pt_share_buttons')) {
		                            echo '<div class="share-button"><i class="base-icons-share"></i><div class="w">'.pt_share_buttons($id).'</div></div>';
		                        } if(!empty($category_links_html)) { ?>
		                        	<div class="categs"><?php echo wp_kses_post($category_links_html) ?></div>
		                        <?php } ?>
	                        </div>
						</div>
					</div>
				</div>
			</div>
		<?php endwhile; ?>
	</main>

<?php
get_footer();
