<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package imate
 */


$class = "";

$type = 'horizontal';

$id = get_the_ID(); 
$item = get_post($id);
setup_postdata($item);
$name = $item->post_title;
$thumb = get_post_meta( $id, '_thumbnail_id', true );
$link = get_permalink($id);

$desc_size = '180';

if(function_exists('get_field') && get_field('short_desc')) {
    $desc = get_field('short_desc', $id);
} else {
    $desc = strip_tags(strip_shortcodes($item->post_content));
}

$desc = substr($desc, 0, $desc_size);
$desc = rtrim($desc, "!,.-");
$desc = substr($desc, 0, strrpos($desc, ' '))."...";

if($desc == '...') {
	$desc = '';
}

$class = "";
if(!empty($thumb)) {
	$class = " with-image";
} else {
	$class = " with-out-image";
}

$cols = 'col-xs-12 col-sm-6 col-md-4';

if(!class_exists('WPBakeryShortCode')) {
	$cols = 'col-xs-12 col-sm-6';
}

$class .= ' '.$cols;

$category_links_html = $category = "";
if(is_array(get_the_category($id)) && count(get_the_category($id)) > 0 && get_the_category($id)) {
	foreach (get_the_category($id) as $item) {
		$category_links_html .= '<a href="'.esc_url(get_category_link($item->cat_ID)).'">'.esc_html($item->name).'</a>, ';
		$category .= $item->name.', ';
	}
	$category_links_html = trim($category_links_html, ', ');
	$category = trim($category, ', ');
}

if(true) {
?>
	<article <?php post_class('blog-item '.$class) ?>>
	    <div class="wrap ">
	        <?php if(!empty($thumb)) { ?>
				<div class="img"><a href="<?php echo esc_url($link); ?>"><?php echo wp_kses_post(wp_get_attachment_image($thumb, 'large')) ?></a></div>
			<?php } ?>
	        <div class="content">
	            <h6>
	            	<?php if(is_sticky()) { ?>
						<div class="sticky-a"><i class="material-design-icon-tack-save-button"></i></div>
					<?php } ?>
	            	<a href="<?php echo esc_url($link); ?>"><?php echo wp_kses_post($name); ?></a>
	            </h6>
	            <div class="blog-detail">
					<div class="bd-item"><i class="material-design-icon-history-clock-button"></i><span><?php echo get_the_date() ?></span></div>
					<div class="bd-item"><i class="material-design-icon-label-right-arrow-outline"></i><span><?php echo strip_tags($category) ?></span></div>
	            </div>
	            <div class="text"><?php echo esc_html($desc); ?></div>
	            <a href="<?php echo esc_url($link); ?>" class="readmore-link"><?php echo esc_html__('Read More', 'imate') ?></a>
	            <?php if(function_exists('zilla_likes')) echo zilla_likes($id); ?>
	        </div>
	    </div>
	</article>
<?php } else { ?> 
	<div id="post-<?php the_ID(); ?>" <?php post_class() ?>>
		<div class="site-content">
			<h3 class="page-title">
				<?php if(is_sticky()) { ?>
					<div class="sticky-a"><i class="essential-compilation-push-pin"></i></div>
				<?php } ?>
				<a href="<?php echo esc_url($link); ?>"><?php echo esc_html($name); ?></a>
			</h3>
			<?php if(!empty($thumb)) { ?>
				<div class="post-img"><?php echo wp_kses_post(wp_get_attachment_image($thumb, '')); ?></div>
			<?php } ?>
			<div class="blog-detail">
				<div class="bd-item"><i class="interface-and-web-calendar-to-organize-dates"></i> <span><?php echo get_the_date() ?></span></div>
				<div class="bd-item"><i class="interface-and-web-tag-filled-commercial-tool"></i> <span><?php echo wp_kses_post($category_links_html); ?></span></div>
			</div>
			<div class="post-content">
				<div class="clearfix">
					<?php the_content(''); ?>
				</div>
				<?php if(function_exists('wp_link_pages')) { ?>
					<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>','link_before' => '<span>','link_after' => '</span>',)); ?>
				<?php } ?>
			</div>
		</div>
	</div>
<?php } wp_reset_postdata(); ?>