<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package imate
 */

/*
Template Name: Page with sidebar
*/

$thumb = get_post_thumbnail_id(get_the_ID());
$image = '';

if(!empty($thumb) && isset(wp_get_attachment_image_src($thumb, 'full')[0])) {
	$image = wp_get_attachment_image_src($thumb, 'full')[0];
}

get_header(); ?>

	<main class="main-row">
		<?php if(!empty($image)) { ?>
			<div class="page-feature-image <?php echo esc_attr(imate_styles()['header_color_mode']) ?>" style="background-image: url(<?php echo esc_url($image) ?>);">
				<div class="container">
					<?php the_title( '<h1 class="heading">', '</h1>' ); ?>
				</div>
			</div>
		<?php } ?>
		<div class="container">
			
			<?php
			if(empty($image)) {
				the_title( '<div class="page-title"><h1 class="h2 heading">', '</h1></div>' );
			}
			
			if(is_active_sidebar('sidebar')) {
				echo '<div class="row">';
				echo '<div class="col-xs-12 col-md-8">';
			}

				while ( have_posts() ) : the_post();

					the_content();

				endwhile;

			if(is_active_sidebar('sidebar')) {
				echo '</div>';
				echo '<div class="s-sidebar col-xs-12 col-md-4">';
					echo '<div class="w">';
						dynamic_sidebar('sidebar');
					echo '</div>';
				echo '</div>';
				echo '</div>';
			};
			?>

		</div>
	</main>

<?php get_footer();