<?php
/**
 * Content wrappers
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/global/wrapper-start.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     4.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$template = get_option( 'template' );

$heading = esc_html__('Shop', 'imate');

if(is_product()) {
	$heading = esc_html__('Product Card', 'imate');
}

if(is_product_category()) {
	$heading = esc_html__('Product Category', 'imate');
}

if(is_cart()) {
	$heading = esc_html__('Cart', 'imate');
}

if(is_checkout()) {
	$heading = esc_html__('Checkout', 'imate');
}
?>

<main class="main-row">
	<?php if(!empty(imate_styles()['shop_top_background'])) { ?>
		<div class="page-feature-image <?php echo esc_attr(imate_styles()['header_color_mode']) ?>" style="background-image: url(<?php echo esc_url(imate_styles()['shop_top_background']) ?>);">
			<div class="container">
				<div class="h1 heading"><?php echo wp_kses_post($heading) ?></div>
			</div>
		</div>
	<?php } ?>
	<div class="container">